This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 208254 - Review Request: pikloops - Code generator for PIC delays
Review Request: pikloops - Code generator for PIC delays
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-27 09:13 EDT by Alain Portal
Modified: 2010-07-19 00:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 13:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2006-09-27 09:13:57 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/pikloops.spec
SRPM URL: http://linuxelectronique.free.fr/download/fedora/5/SRPMS/pikloops-0.2.1-1.src.rpm
Description: PiKLoop generate for you code to create delays for Microchip PIC
microcontrollers. It is an useful companion for Pikdev or Piklab IDE.
Comment 1 Jochen Schmitt 2006-09-27 13:41:32 EDT
Good:
+ Rpmlint doesn't complaint source rpm.
+ Local build works fine.
+ Tar ball in source rpm matches with upstream
+ Local install/uninstall works fine.
+ Rpmlint of installed rpm doesn't complaints.
+ Programm starts properly.
+ Mock build works fine.

Bad:
- Debuginfo package is empty.
- QT environment variable are not sourced.
- Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)
- Missing dependancy on update-desktop-database for %post (package
desktop-file-utils)
- Missing dependancy on update-desktop-database for %postun (package
desktop-file-utils)
Comment 2 Alain Portal 2006-09-28 07:27:39 EDT
(In reply to comment #1)
> Bad:
> - Debuginfo package is empty.

What can I do?
I don't kknow why it is empty.

> - QT environment variable are not sourced.

Why sourcing QT environment variable

> - Desktop file: the Categories tag should contain Application
>   (wiki: PackagingGuidelines#desktop)

I see a sample, not sure  this is a MUST.

> - Missing dependancy on update-desktop-database for %post (package
> desktop-file-utils)
> - Missing dependancy on update-desktop-database for %postun (package
> desktop-file-utils)

This BuildRequires is no more needed since FC5
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef
Comment 3 Jochen Schmitt 2006-09-28 10:26:03 EDT
1.) Don't script the executables. Please use the gcc -g compiler flag.

2.) To be sure to compile with the right QT version.

4.) OK.
Comment 4 Alain Portal 2006-09-28 12:03:14 EDT
(In reply to comment #3)
> 1.) Don't script the executables.

Sorry, I don't understand.

> Please use the gcc -g compiler flag.

Just after %configure, I made:
%{__sed} -i -e 's/CC = gcc/CC = gcc -g/' Makefile
%{__sed} -i -e 's/CPP = gcc -E/CPP = gcc -E -g/' Makefile
%{__sed} -i -e 's/CXX = g++/CXX = g++ -g/' Makefile
%{__sed} -i -e 's/CXXCPP = g++ -E/CXXCPP = g++ -E -g/' Makefile
%{__sed} -i -e 's/CC = gcc/CC = gcc -g/' %{name}/Makefile
%{__sed} -i -e 's/CPP = gcc -E/CPP = gcc -E -g/' %{name}/Makefile
%{__sed} -i -e 's/CXX = g++/CXX = g++ -g/' %{name}/Makefile
%{__sed} -i -e 's/CXXCPP = g++ -E/CXXCPP = g++ -E -g/' %{name}/Makefile

debug-info rpm still empty

> 2.) To be sure to compile with the right QT version.

It seems to me there is only one QT version on each FC?, the last updated.
The only problem I encountred was to buils under FC4 on arch x86_64.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169132
Comment 5 Alain Portal 2006-09-28 12:09:27 EDT
(In reply to comment #1)
> Bad:
> - Debuginfo package is empty.

I found.
That was because of make install-strip
Comment 6 Alain Portal 2006-09-28 12:10:12 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/pikloops.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/pikloops-0.2.1-2.src.rpm

%changelog
* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-2
  - Don't make install-strip

Comment 7 Mamoru TASAKA 2006-09-28 13:16:01 EDT
Usually the files under /etc/profile.d is correctly "source"d
(you can check this by trying to add "set" in the first line of
%build). So "source"ing /etc/profile.d/qt.sh is not necessary.

This can be checked by a example of kbackup:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/18479-kbackup-0.5-6.fc6/x86_64/build.log
(this is reviewed by me).

By the way, you should add %?dist tag.
Comment 8 Alain Portal 2006-09-28 13:30:45 EDT
(In reply to comment #7)
> 
> By the way, you should add %?dist tag.
> 

Oups...

SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/pikloops-0.2.1-3.src.rpm
Comment 9 Mamoru TASAKA 2006-09-29 07:48:12 EDT
One question.

Why does /usr/share/applications/kde/pikloops.desktop have
OnlyShowIn=KDE; ?

I tried to remove this, and PiKLoops icon appears on "Programming"
session, so I think this can be shown in GNOME, too.

Other things seem to be okay.
Comment 10 Alain Portal 2006-09-29 08:03:38 EDT
(In reply to comment #9)
> One question.
> 
> Why does /usr/share/applications/kde/pikloops.desktop have
> OnlyShowIn=KDE; ?
> 
> I tried to remove this, and PiKLoops icon appears on "Programming"
> session, so I think this can be shown in GNOME, too.

It seems to me that was to prevent duplicate desktop entry in menu.
Do I have to remove it?
Comment 11 Mamoru TASAKA 2006-09-29 08:11:38 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > One question.
> > 
> > Why does /usr/share/applications/kde/pikloops.desktop have
> > OnlyShowIn=KDE; ?
> > 
> It seems to me that was to prevent duplicate desktop entry in menu.
> Do I have to remove it?

Do you see some duplicate in KDE? In GNOME (I use GNOME), when the line
OnlyShowIn=KDE; is removed, the PiKLoops seems to appear only in
"Programming" entry and to have no duplicates. 

Comment 12 Alain Portal 2006-09-29 08:40:01 EDT
(In reply to comment #11)
> 
> Do you see some duplicate in KDE?

No, only one.
I don't understand why I have to relogin to see the new entry in the menu...

> In GNOME (I use GNOME), when the line
> OnlyShowIn=KDE; is removed, the PiKLoops seems to appear only in
> "Programming" entry and to have no duplicates. 

And you see nothing if it isn't removed?

Comment 13 Mamoru TASAKA 2006-09-29 08:54:26 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > 
> > Do you see some duplicate in KDE?
> 
> No, only one.
> I don't understand why I have to relogin to see the new entry in the menu...
Umm.. I don't know either because I use GNOME...
 
> > In GNOME (I use GNOME), when the line
> > OnlyShowIn=KDE; is removed, the PiKLoops seems to appear only in
> > "Programming" entry and to have no duplicates. 
> 
> And you see nothing if it isn't removed?

Yes, actually I see nothing.
Comment 14 Alain Portal 2006-09-29 09:07:18 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > 
> > > Do you see some duplicate in KDE?
> > 
> > No, only one.
> > I don't understand why I have to relogin to see the new entry in the 
menu...
> Umm.. I don't know either because I use GNOME...
>  
> > > In GNOME (I use GNOME), when the line
> > > OnlyShowIn=KDE; is removed, the PiKLoops seems to appear only in
> > > "Programming" entry and to have no duplicates. 
> > 
> > And you see nothing if it isn't removed?
> 
> Yes, actually I see nothing.

OK, I'll update the desktop file.
Comment 15 Alain Portal 2006-09-29 09:15:33 EDT
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/pikloops.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/pikloops-0.2.1-4.src.rpm

%changelog
* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-4
  - Update %%{SOURCE1} which don't contain "OnlyShowIn=KDE;" any more
Comment 16 Alain Portal 2006-09-29 09:24:06 EDT
(In reply to comment #14)
> > > I don't understand why I have to relogin to see the new entry in the 
> menu...
> > Umm.. I don't know either because I use GNOME...

Grrrr! I found... That was because there wasn't "Application" in categories.

But perhaps now, you could have duplicate entry. Let me know.
Spec URL: 
http://linuxelectronique.free.fr/download/fedora/5/SPECS/pikloops.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/pikloops-0.2.1-5.src.rpm

%changelog
* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-5
  - Update %%{SOURCE1} to add Application category

Comment 17 Mamoru TASAKA 2006-09-29 10:46:04 EDT
(In reply to comment #16)
> (In reply to comment #14)
 
> But perhaps now, you could have duplicate entry. Let me know.

The result is: only one entry is shown, no duplicate.
I will check if the other things to be fixed is left.
Comment 18 Mamoru TASAKA 2006-09-29 12:06:47 EDT
Well, accroding to 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets :
desktop file does not have mimetype key, so
calling update-desktop-database is not necessary.

Other things are okay.
------------------------------------------------
 This package (pikloops) is APPROVED by me.
Comment 19 Alain Portal 2006-09-29 12:23:56 EDT
OK, thanks for the review!

%changelog
* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-6
  - Remove useless update-desktop-database
Comment 20 Alain Portal 2007-07-20 14:42:58 EDT
Package Change Request
======================
Package Name: pikloops
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 21 Warren Togami 2007-07-23 17:29:30 EDT
Sorry, we can't do this.  Owners must match your Bugzilla account.
Comment 22 Alain Portal 2007-07-23 18:57:16 EDT
What choice do you let me?
 - ask alain.portal AT free.fr for co-maintaining the package?
 - orphaning all packages?

If I can't receive bug reports when I'm on vacation, sure, I can't be a Fedora 
contributor.
I'll never check my work email (my Fedora account) while I'm on vacation.
Comment 23 Chitlesh GOORAH 2010-07-18 06:43:52 EDT
Package Change Request
=======================
Package Name: pikloops
Short Description: Code generator for PIC delays
Owners: chitlesh
Branches: EL-5 EL-6
Comment 24 Kevin Fenzi 2010-07-19 00:26:09 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.